Get 403b data calculator configuration
curl --request GET \
--url https://calculators.symmetry.com/api/calculators/403b/data \
--header 'pcc-api-key: <api-key>'import requests
url = "https://calculators.symmetry.com/api/calculators/403b/data"
headers = {"pcc-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'pcc-api-key': '<api-key>'}};
fetch('https://calculators.symmetry.com/api/calculators/403b/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"calculate": {
"href": "https://calculators.symmetry.com/api/calculators/403b/data"
},
"self": {
"href": "https://calculators.symmetry.com/api/calculators/403b/data?format=model"
}
},
"content": {
"annualSalaryIncrease": 0,
"checkDate": "2023-01-10T20:18:27.485+00:00",
"contributionLimit": 0,
"currentSavings": 0,
"employeeContribution": 0,
"employerContribution": 0,
"olderThan50": false,
"payFrequency": "WEEKLY",
"returnRates": [
1,
5,
10
],
"yearsToRetirement": 0
}
}{
"content": "Invalid request parameter format=badformat"
}{
"message": "No api key found"
}{
"message": "Invalid api key"
}{
"error": "Not Found",
"path": "/api/calculators/403b/data/badpath",
"status": 404,
"timestamp": 1641573466465
}{
"error": "Method Not Allowed",
"path": "/api/calculators/403b/data",
"status": 405,
"timestamp": 1641572607838
}Get 403b data calculator configuration
Returns the 403b retirement savings planning data model or field definitions
GET
/
calculators
/
403b
/
data
Get 403b data calculator configuration
⌘I

